[tool.poetry]
name = "restler-parser"
version = "1.7.4"
description = "Parses results from RESTler into JUnit XML which can be read by GitLab."
authors = ["Ruben ten Hove <git@rhtenhove.nl>"]

[tool.poetry.dependencies]
python = "^3.9"
junit-xml = "^1.9"

[tool.poetry.dev-dependencies]
pytest = "^6.2.4"
pytest-cov = "^2.12.1"
black = "^21.12b0"
isort = "^5.10.1"
flake8 = "^3.9.2"
bandit = "^1.7.0"
mypy = "^0.931"
pylint = "^2.9.6"

[build-system]
requires = ["poetry-core>=1.0.0"]
build-backend = "poetry.core.masonry.api"
[tool.tbump]

[tool.tbump.version]
current = "1.7.4"

regex = '''
  (?P<major>\d+)
  \.
  (?P<minor>\d+)
  \.
  (?P<patch>\d+)
  '''

[tool.tbump.git]
message_template = "Bump to {new_version}"
tag_template = "v{new_version}"

[[tool.tbump.file]]
src = "pyproject.toml"
search = 'version = "{current_version}"'

[[tool.tbump.file]]
src = "restler_parser/__init__.py"

[[tool.tbump.file]]
src = "README.md"

[[tool.tbump.file]]
src = "templates/*"

[tool.pytest.ini_options]
addopts = "-vvv --capture=tee-sys -o log_cli=true -o log_cli_level=DEBUG --color=yes"

[tool.pylint.messages_control]
disable = ["W1203", "C0114", "C0116"]
